1 Reply Latest reply: Oct 11, 2012 8:37 PM by Niel
jason1201 Level 1 Level 1 (0 points)

i recently bought a 1st gen ipod touch and has OS 2.2.1 (5h11). How do i get a higher OS when i tunes says its up to date and tech support says i should at least get iOS3?


iPod touch, iOS 2.x